{% extends "base.html"%}
{% load staticfiles %}
{% block css-content%}
<link href="{% static 'accounts/login.css' %}" rel="stylesheet">
{% endblock %}

{% block content%}
<div class="login-form">
    <form method="post">
        {% csrf_token %}
        <h2 class="text-center">Sign in</h2>
        <div class="text-center social-btn">
            <a href="{% url 'social:begin' 'github' %}" class="btn btn-secondary btn-block"><i class="fa fa-github"></i>
                Sign in with <b>Github</b></a>
            <a href="{% url 'social:begin' 'facebook' %}" class="btn btn-primary btn-block"><i
                    class="fa fa-facebook"></i> Sign in with <b>Facebook</b></a>
            <!-- <a href="#" class="btn btn-info btn-block"><i class="fa fa-twitter"></i> Sign in with <b>Twitter</b></a> -->
            <a href="{% url 'social:begin' 'google-oauth2' %}" class="btn btn-danger btn-block"><i
                    class="fa fa-google"></i> Sign in with <b>Google</b></a>
        </div>
        <div class="or-seperator"><i>or</i></div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-user"></i></span>
                <input type="text" class="form-control" name="username" placeholder="Username" required="required">
            </div>
        </div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                <input type="password" class="form-control" name="password" placeholder="Password" required="required">
            </div>
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-success btn-block login-btn">Sign in</button>
        </div>
        <div class="d-flex align-items-center justify-content-center">
            <!-- <label class="pull-left checkbox-inline"><input type="checkbox"> Remember me</label> -->
            <!-- <a href="#" class="pull-right text-success">Forgot Password?</a> -->
            <a href="#" class="text-success">Forgot Password?</a>
        </div>

    </form>
    <div class="hint-text small text-danger">Don't have an account? <a href="{% url 'accounts:register' %}"
            class="text-secondary">Register Now!</a></div>
    {% endblock%}